Package Details: saga-gis 7.5.0-2

Git Clone URL: https://aur.archlinux.org/saga-gis.git (read-only, click to copy)
Package Base: saga-gis
Description: A Geographic Information System (GIS) software with immense capabilities for geodata processing and analysis.
Upstream URL: http://www.saga-gis.org
Keywords: GeoSpatial GIS
Licenses: GPL3
Submitter: None
Maintainer: geosam
Last Packager: geosam
Votes: 11
Popularity: 0.000000
First Submitted: 2007-07-16 01:57
Last Updated: 2020-01-09 21:45

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 Next › Last »

saultdon commented on 2013-07-13 04:38

I found the missing package with `pkgfile libwebkitgtk-1.0.so.0`:
# extra/webkitgtk2

So I had to add 'webkitgtk2' into the PKGBUILD as another dependency.

saultdon commented on 2013-07-13 03:55

Trying to install on a laptop with new arch install and getting a warning before the build fails:
/usr/bin/ld: warning: libwebkitgtk-1.0.so.0, needed by /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../../lib/libwx_gtk2u_webview-2.9.so, not found (try using -rpath or -rpath-link)

I pasted some of the last part of the build output at pastebin - http://pastebin.com/x1F8UTEP

saultdon commented on 2013-07-10 02:29

Sounds about right, cause now that I think of it the project.h was already in this archbox because of previous SAGA 2.0.8 install =) Not good to remove reference to old proj4 headers.

geosam commented on 2013-07-09 16:28

saultdon I've tried compiling gis saga without the old proj4 includes, and it reports the error that the file "projects.h" was not found. So far I can not exclude files of PKGBUILD.

Thanks.

geosam commented on 2013-07-09 16:19

I've tried compiling gis saga without the old proj4 includes, and it reports the error that the file "projects.h" was not found. So far I can not exclude files of PKGBUILD.

geosam commented on 2013-07-06 19:54

I will be reviewing old proj headers, however I have errors by excluding them from the includes. Wait get notifications if these headers are no longer needed in the compilation of the latest version of SAGA GIS.

saultdon commented on 2013-07-06 19:37

It compiles now, thanks for fixing.

Not sure if it matters, but I did compile without the ubuntuone (old-proj) headers. I just removed that source file line and the md5sum.

Is that going to cause problems? I haven't seen any errros yet from loading a shapefile and doing some simple gridding like density.

geosam commented on 2013-07-06 18:24

Thanks saultdon for reporting the error. Again try to update the SAGA GIS package v2.1.0.

saultdon commented on 2013-07-06 18:13

Thanks for updating, the new SAGA is awesome.

I'm getting this error:

==> Validating source files with md5sums...
saga_2.1.0_src.zip ... Passed
0zrZeYpPyiwj6gXJkODX6J ... Passed
logo_saga.png ... Passed
saga-gis.desktop ... Passed
==> Extracting sources...
-> Extracting saga_2.1.0_src.zip with bsdtar
-> Extracting 0zrZeYpPyiwj6gXJkODX6J with bsdtar
==> Starting build()...
==> Start compiling ...
make: *** No targets specified and no makefile found. Stop.
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build saga-gis.

saultdon commented on 2013-07-06 17:58

Thanks for updating, the new SAGA is awesome.

I'm getting this error:

==> Validating source files with md5sums...
saga_2.1.0_src.zip ... Passed
0zrZeYpPyiwj6gXJkODX6J ... Passed
logo_saga.png ... Passed
saga-gis.desktop ... Passed
==> Extracting sources...
-> Extracting saga_2.1.0_src.zip with bsdtar
-> Extracting 0zrZeYpPyiwj6gXJkODX6J with bsdtar
==> Starting build()...
==> Start compiling ...
make: *** No targets specified and no makefile found. Stop.
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build saga-gis.